Summary: Smart Modem getty replacement
Name: mgetty
Version: 1.1.30
Release: 1.0.0.%{_hhl_build_id}
Source: mgetty_%{version}.orig.tar.gz
Source1: mgetty.tmpl
Source2: mgetty-fax.tmpl
Source3: mgetty-doc.tmpl
Patch0: mgetty_%{version}-1.diff.gz
Patch1: mgetty_%{version}-cross.diff
Patch2: mgetty-initd.diff
Patch4: mgetty-devfs.diff
License: GPL
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Obsoletes : hhl-target-mgetty
Obsoletes : hhl-%{_hhl_target_arch}-mgetty

%description
Mgetty is a versatile program to handle all aspects of a modem under Unix.  

This package includes basic modem data capabilities.  Install mgetty-fax to 
get the additional functionality for fax.  Install mgetty-voice to get the
functionality to operate voice modems.  
  
Mgetty is also configurable to select programs other than login for special 
connections (eg: uucico, fido or other programs) depending on the login 
userid. It also supports caller-id if the modem and phone line supply it, 
and can deny connections based on originating telephone number.


%package -n mgetty-fax
Summary: Smart Modem getty replacement
Group: base
Requires: mgetty
Obsoletes : hhl-%{_hhl_target_arch}-mgetty-fax

%description -n mgetty-fax
Mgetty is a versatile program to handle all aspects of a modem under Unix.  

This package includes basic modem data capabilities.  Install mgetty-fax to 
get the additional functionality for fax.  Install mgetty-voice to get the
functionality to operate voice modems.  
  
Mgetty is also configurable to select programs other than login for special 
connections (eg: uucico, fido or other programs) depending on the login 
userid. It also supports caller-id if the modem and phone line supply it, 
and can deny connections based on originating telephone number.

This package includes parts of mgetty used for handling faxmodems.


%package -n mgetty-doc
Summary: Smart Modem getty replacement
Group: base
Obsoletes : hhl-%{_hhl_target_arch}-mgetty-doc

%description -n mgetty-doc
Mgetty is a versatile program to handle all aspects of a modem under Unix.  

This package includes basic modem data capabilities.  Install mgetty-fax to 
get the additional functionality for fax.  Install mgetty-voice to get the
functionality to operate voice modems.  
  
Mgetty is also configurable to select programs other than login for special 
connections (eg: uucico, fido or other programs) depending on the login 
userid. It also supports caller-id if the modem and phone line supply it, 
and can deny connections based on originating telephone number.

This package includes the documentation for mgetty.


%prep
%target_check
%setup -q -n mgetty-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Configure the package
cp debian/policy.h debian/voice-defs.h .


%build
%target_setup
%define _objdir .
rm -f sedscript
rm -f mksed
make mksed
%make all CC=${CC} | tee -a build.log
rm -f sedscript
rm -f mksed
make mksed


%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_exec_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/spool
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
%target_makeinstall -i -k install.doc spool=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/spool CONFDIR=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/mgetty | tee -a build.log
gzip %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*.?
gzip %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -m 755 debian/mgetty-fax.init.d \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/mgetty-fax

mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/mgetty %{buildroot}%{_hhl_cross_target_dir}/sbin

cp README.1st LICENSE

# This is just wrong but will do for now... -jp
pushd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/mgetty/
patch -p1 < %{PATCH4}
popd

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/mgetty
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/mgetty-fax
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE3} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/mgetty-doc

%clean
rm -rf %{buildroot}


%files -n mgetty
%defattr(-,root,root)
%{_hhl_cross_target_dir}/sbin/mgetty
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/newslock
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/mgetty
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/mgetty/login.config
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/mgetty/mgetty.config
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/mgetty/dialin.config
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/mgetty


%files -n mgetty-fax
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/mgetty/*fax*
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/mgetty-fax
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/mgetty+sendfax
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/sendfax
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/fax*
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/fax*
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/pbm*
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/g3*
%{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/spool/fax
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/mgetty-fax


%files -n mgetty-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*
%doc BUGS ChangeLog FTP README.1st Recommend THANKS TODO LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/mgetty-doc

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Wed Feb 21 2001 Charles Duffy <source@mvista.com>
- First cut


